package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.MemberPrivilegesItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MemberPrivilegesItemDao extends BaseDAO<Integer, MemberPrivilegesItem> {


    /**
     * 获取所有功能列表
     * @param parentId
     * @return
     */
    List<MemberPrivilegesItem> findList(@Param("parentId") Integer parentId);

    void batchDel(@Param("collect") List<Integer> collect);
    
    List<MemberPrivilegesItem> findById(List<Integer> idList);
}